> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Keyword Sentence

> Get Keyword Sentence



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/keyword/sentence
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/keyword/sentence:
    get:
      tags:
        - Trending
      summary: Get Keyword Sentence
      description: Get Keyword Sentence
      operationId: getApiTrendingKeywordSentence
      parameters:
        - in: query
          name: keyword
          schema:
            type: string
            description: Keyword
            example: toy
          required: true
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
            description: Page
            example: 1
          required: false
        - in: query
          name: limit
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 50
            description: Number of items per page (maximum is 50)
            example: 50
            maximum: 50
          required: false
        - in: query
          name: period
          schema:
            type: number
            default: 7
            description: |2-

                      Period in days:
                      - 7: Last 7 days
                      - 30: Last 30 days
                      - 120: Last 120 days
                      
            enum:
              - 7
              - 30
              - 120
            example: 7
          required: false
        - in: query
          name: country
          schema:
            type: string
            description: >-
              Country code. Head
              [here](https://gist.githubusercontent.com/apiboxguru/21d1cff1bef7732d9533389cb540541f/raw/6669d1e0025b67e8c7a0a1649cd8c75c5d5d2803/tiktok_trending_support_countries_with_codes.json)
              for a full list of supported countries
            default: US
            example: US
          required: false
        - in: query
          name: order_type
          schema:
            type: string
            description: Order by type
            enum:
              - desc
              - asc
            default: desc
            example: desc
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          has_more:
                            type: boolean
                            description: ''
                            example: true
                          page:
                            type: number
                            description: ''
                            example: 1
                          size:
                            type: number
                            description: ''
                            example: 20
                          total_count:
                            type: number
                            description: ''
                            example: 500
                      sentence_list:
                        type: array
                        items:
                          type: object
                          properties:
                            covers:
                              type: array
                              items:
                                type: string
                              description: ''
                              example:
                                - >-
                                  ttps://p16-sign-va.tiktokcdn.com/tos-maliva-p-0068c799-us/oEcYSAqB0Amw198ii9ceqAEXCicXPiYA8IIJ0k~tplv-noop.image?dr=18692&refresh_token=95b64430&x-expires=1765876851&x-signature=KbD1x0YmOVMLcWsfaEqMGsTVg4M%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my
                            ctr:
                              type: number
                              description: ''
                              example: 100
                            cvr:
                              type: number
                              description: ''
                              example: 0
                            sentence:
                              type: string
                              description: ''
                              example: >-
                                #tiktokshopblackfriday #homeandelectronicsdeals
                                #tiktokshopholidayhaul #tiktokshopcybermonday
                                #kidstoys
                            use_type:
                              type: string
                              description: ''
                              example: script_use_type_title
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````